Summary:	A Finite State Machine (FSM) design tool
Name:		FSMDesigner4
Version:	1.2
Release:	%{mkrel 2}
Source0:	http://downloads.sourceforge.net/fsmdesigner/%{name}-%{version}.tar.gz
# Don't check for locate, it doesn't use it - AdamW 2008/12
Patch0:		FSMDesigner4-1.2-locate.patch
# Fix the Python check - AdamW 2008/12
Patch1:		FSMDesigner4-1.2-pythoncheck.patch
# Fix build with GCC 4.3 - AdamW 2008/12
Patch2:		FSMDesigner4-1.2-gcc43.patch
# @XERCES_CFLAGS@ doesn't actually exist at this point - AdamW 2008/12
Patch3:		FSMDesigner4-1.2-badflags.patch
# Fix underlinking (against xerces) - AdamW 2008/12
Patch4:		FSMDesigner4-1.2-link.patch
# Fix a missing include - AdamW 2008/12
Patch5:		FSMDesigner4-1.2-include.patch
License:	GPLv2+
Group:		Development/Other
URL:		http://sourceforge.net/projects/fsmdesigner/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel
BuildRequires:	xerces-c-devel
BuildRequires:	swig
BuildRequires:	python-devel
# Autoconf definitions for xerces live here - AdamW 2008/12
BuildRequires:	autoconf-archive

%description
FSMDesigner4 is a C++ based implementation for a Finite State Machine (FSM)
design tool with integrated Hardware Description Language (HDL) generation.
FSMDesigner4 uses the Simple-Moore FSM model guaranteeing efficient fast
complex control circuits.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
autoreconf -i
%configure2_5x --with-xerces-lib="-lxerces-c"
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS INSTALL ChangeLog
%{_bindir}/createf4tbar
%{_bindir}/createmmap
%{_bindir}/createtestbench
%{_bindir}/dnfinvert
%{_bindir}/fsmdesigner4
%{_bindir}/fsmmin
%{_bindir}/fsmverification
%{_bindir}/fsmveriloggeneration
%{_bindir}/fsmvhdlgeneration
%{_libdir}/fsmdesigner.py



%changelog
* Thu Jan 22 2009 Funda Wang <fundawang@mandriva.org> 1.2-2mdv2009.1
+ Revision: 332418
- rebuild for new python

* Sat Dec 20 2008 Adam Williamson <awilliamson@mandriva.com> 1.2-1mdv2009.1
+ Revision: 316392
- br autoconf-archive
- rebuild against newer xerces-c major
- adjust file list for new version
- add include.patch to fix a missing xerces include
- add link.patch to fix underlinking against xerces
- add badflags.patch to drop use of a variable that doesn't exist yet
- add gcc43.patch to fix various GCC 4.3 build issues
- add pythoncheck.patch to stop the python check being broken
- change locate.patch to just drop check for locate (and don't br it)
- new release 1.2
- drop unnecessary defines

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix summary-not-capitalized

* Sun Feb 03 2008 Erwan Velu <erwan@mandriva.org> 1.1-1mdv2008.1
+ Revision: 161760
- Fixing Python locate
- Adding more buildrequires
- Adding doc
- import FSMDesigner4


